%define ipmitoolver 1.8.7
Name: OpenIPMI
Summary: %{name} - Library interface to IPMI
Version: 1.4.20
Release: 1.1AX
License: LGPL
URL: http://openipmi.sourceforge.net
Group: Utilities
Source: %{name}-1.4.20.tar.gz
Source1:ipmitool-%{ipmitoolver}.tar.gz
Buildroot: /var/tmp/%{name}-root
BuildRequires: pkgconfig, perl >= 5, swig >= 1.3, net-snmp-devel
Summary: IPMI Library
Group: Utilities

%description 
This package contains a shared library implementation of IPMI and the
basic tools used with OpenIPMI.

%package devel
Summary: Development files for OpenIPMI
Group: Utilities
Requires: OpenIPMI = %{version}, pkgconfig

%description devel
Contains additional files need for a developer to create applications
and/or middleware that depends on libOpenIPMI

%package perl
Summary: Perl interface for OpenIPMI
Group: Utilities
Requires: OpenIPMI = %{version}, perl >= 5

%description perl
A Perl interface for OpenIPMI.

%package ui
Summary: User Interface (ui)
Group: Utilities
Requires: OpenIPMI = %{version}

%description ui
This package contains a user interface

%package lanserv
Summary: Emulates an IPMI network listener
Group: Utilities
Requires: OpenIPMI = %{version}

%description lanserv
This package contains a network IPMI listener.

%package tools
Group: Applications/System
Summary: OpenIPMI utilities and scripts from ipmitool

%description tools
The OpenIPMI-tools package contains the addon utilities and script from the
ipmitool project.

%prep
%setup -q -a 1

%build
libtoolize --force
aclocal
automake --add-missing
autoconf
%configure
make
pushd ipmitool-%{ipmitoolver}
%configure
make
popd

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
pushd ipmitool-%{ipmitoolver}
%makeinstall
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/
popd

%files
%defattr(-,root,root)
%{_libdir}/libOpenIPMIcmdlang.so*
%{_libdir}/libOpenIPMIcmdlang.la
%{_libdir}/libOpenIPMIglib.so*
%{_libdir}/libOpenIPMIglib.la
%{_libdir}/libOpenIPMIposix.so*
%{_libdir}/libOpenIPMIposix.la
%{_libdir}/libOpenIPMIpthread.so*
%{_libdir}/libOpenIPMIpthread.la
%{_libdir}/libOpenIPMI.so*
%{_libdir}/libOpenIPMI.la
%{_libdir}/libOpenIPMIutils.so*
%{_libdir}/libOpenIPMIutils.la
%{_bindir}/ipmish
%doc COPYING COPYING.LIB FAQ INSTALL README README.Force
%doc README.MotorolaMXP
%doc %{_mandir}/man1/ipmicmd.1*
%doc %{_mandir}/man1/ipmish.1*
%doc %{_mandir}/man7/ipmi_cmdlang.7*
%doc %{_mandir}/man8/ipmilan.8*

%files perl
%defattr(-,root,root)
%{_libdir}/perl5
%doc swig/OpenIPMI.i swig/perl/sample swig/perl/ipmi_powerctl

%files devel
%defattr(-,root,root)
%{_includedir}/OpenIPMI
%{_libdir}/*.a
%{_libdir}/pkgconfig
%doc doc/IPMI.pdf

%files ui
%defattr(-,root,root)
%{_bindir}/ipmi_ui
%{_bindir}/ipmicmd
%{_libdir}/libOpenIPMIui.so*
%{_libdir}/libOpenIPMIui.la
%doc %{_mandir}/man1/ipmi_ui.1*

%files lanserv
%defattr(-,root,root)
%{_bindir}/ipmilan
%{_libdir}/libIPMIlanserv.so*
%{_libdir}/libIPMIlanserv.la

%files tools
%defattr(-,root,root)
%{_datadir}/ipmitool/
%{_bindir}/ipmitool
%{_mandir}/man1/ipmitool*
%{_mandir}/man8/ipmievd*
/usr/sbin/ipmievd

%changelog
* Tue Nov 28 2006 Hua Jie <jiehua@redflag.com> 1.4.20-1.1AX
- add ipmitool version 1.8.7
